package com.jeeplus.modules.workprojectnotify.util;

import com.jeeplus.modules.sys.entity.User;
import com.jeeplus.modules.sys.utils.UserUtils;
import com.jeeplus.modules.workprojectnotify.entity.WorkProjectNotify;

public class UtilNotify {

    /**
     * 处理提醒的数据
     * @param notifyId
     * @param user
     * @param company_id
     * @param title
     * @param content
     * @param type
     * @param status
     * @return
     */
    public static WorkProjectNotify saveNotify(String notifyId, User user,
                                               String company_id,String title,
                                               String content,String type,
                                               String status,String remarks,String notifyRole){
        WorkProjectNotify workProjectNotify = new WorkProjectNotify();
        workProjectNotify.setNotifyId(notifyId);
        workProjectNotify.setUser(user);
        workProjectNotify.setCompanyId(company_id);
        workProjectNotify.setTitle(title);
        workProjectNotify.setContent(content);
        workProjectNotify.setType(type);
        workProjectNotify.setStatus(status);
        workProjectNotify.setNotifyRole(notifyRole);
        workProjectNotify.setRemarks(remarks);
        return workProjectNotify;
    }


    public static WorkProjectNotify saveNotifyTask(String notifyId, User user,
                                               String company_id,String title,
                                               String content,String type,
                                               String status,String remarks,String notifyRole){
        WorkProjectNotify workProjectNotify = new WorkProjectNotify();
        workProjectNotify.setNotifyId(notifyId);
        workProjectNotify.setUser(user);
        workProjectNotify.setCompanyId(company_id);
        workProjectNotify.setTitle(title);
        workProjectNotify.setContent(content);
        workProjectNotify.setType(type);
        workProjectNotify.setStatus(status);
        workProjectNotify.setNotifyRole(notifyRole);
        workProjectNotify.setRemarks(remarks);
        workProjectNotify.setCreateBy(user);
        workProjectNotify.setUpdateBy(user);
        return workProjectNotify;
    }
}
